Ubuntu

nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID: Assertion `ret != inval_id' failed.

Reported by Daniel Hahler on 2011-12-17
This bug affects 434 people
Affects Status Importance Assigned to Milestone
xlibs
Confirmed
Medium
libx11 (Ubuntu)
High
Canonical X.org
nautilus (Ubuntu)
Medium
Unassigned

Bug Description

Here is a backtrace from Ubuntu Precise.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: nautilus 1:3.2.1-2ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-5.11-generic-pae 3.2.0-rc5
Uname: Linux 3.2.0-5-generic-pae i686
ApportVersion: 1.90-0ubuntu1
Architecture: i386
AssertionMessage: nautilus: ../../src/xcb_io.c:528: _XAllocID: Assertion `ret != inval_id' failed.
Date: Sat Dec 17 14:16:03 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/nautilus
ExecutableTimestamp: 1324036665
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcCmdline: nautilus -n
ProcCwd: /
Signal: 6
SourcePackage: nautilus
StacktraceTop:
 __kernel_vsyscall ()
 raise () from /lib/i386-linux-gnu/libc.so.6
 abort () from /lib/i386-linux-gnu/libc.so.6
 __assert_fail () from /lib/i386-linux-gnu/libc.so.6
 _XAllocID () from /usr/lib/i386-linux-gnu/libX11.so.6
Title: nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID: Assertion `ret != inval_id' failed.
UpgradeStatus: Upgraded to precise on 2011-12-16 (1 days ago)
UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare vboxusers

libx11, 1.3.2 (sorry, I didn't see a libX11 component)

We are getting tons of crash reports in Ubuntu (https://launchpad.net/bugs/507062) about programs crashing with

  _XAllocID: Assertion `ret != inval_id' failed

At first we thought this would be the same problem that was recently discussed and fixed in libXext:

http://lists.freedesktop.org/archives/xcb/2009-October/005102.html
http://cgit.freedesktop.org/xorg/lib/libXext/commit/?id=956fd30e1046e5779ac0b6c07ec4f0e87250869a

However, we already have that fixed version, and the stack traces of above bug reports does not go through XShmAttach(), so it does seem to be a different cause.

They all have this piece in common:

#4 0xb74d7199 in _XAllocID (dpy=0x8116770) at ../../src/xcb_io.c:378
 ret = 4294967295
 __PRETTY_FUNCTION__ = "_XAllocID"
#5 0xb74ad048 in XCreatePixmap (dpy=0x8116770, d=265, width=24, height=24,
    depth=32) at ../../src/CrPixmap.c:58

i. e. they all come through XCreatePixmap() (which is called from various functions in the duplicate bugs, like XcursorImageLoadCursor(), _cairo_xlib_surface_create_similar_with_format(), etc.)

I checked that the current libX11's XCreatePixmap() already calls _XAllocID() in a LockDisplay() block, so it's not the same cause as the recent libXext fix.

Beyond that I'm afraid I don't know enough about this API to be able to continue debugging on my own. Obviously nothing must call _XAllocID() two times in succession without an _XIDHandler() in between (the only other place where next_xid is set is _XConnectXCB(), but that's only called on program initialization through XOpenDisplay(), right?)

Do you have some further hints how to debug this, or what could go wrong here?

For reference, here are some links to the full stack traces:
http://launchpadlibrarian.net/23717282/Stacktrace.txt
http://launchpadlibrarian.net/35702381/Stacktrace.txt
http://launchpadlibrarian.net/39577843/Stacktrace.txt
http://launchpadlibrarian.net/37855566/Stacktrace.txt

Thanks!

It would be really nice to know where the last call to XIDAlloc was before the one that fails, and for that I'd love to have a minimal test case.

Any chance these applications are using libX11 from more than one thread? I notice in some stack traces, like <http://launchpadlibrarian.net/31837770/ThreadStacktrace.txt> that a second thread is waiting in libpulse; and in <http://launchpadlibrarian.net/31032259/ThreadStacktrace.txt>, g_main_loop_run is in a different thread than the cairo call that precedes the assert.

I could believe there's a race in how Xlib asks XCB for XIDs, but I'd like to know if that would be a plausible explanation for the reports you're actually seeing. It looks like a fair number of the reported stack traces are single-threaded, making that an unlikely explanation for those reports. :-) It's possible there are two separate bugs here, I suppose...

In lieu of a minimal test, perhaps you can tell me which X extensions these applications have in common? Perhaps the client library for some extension allocates an XID but is missing a SyncHandle call; if the next X request also tries to allocate an XID you'd get this assertion failure.

I've just reviewed everything in xorg/lib, just in case, for bad use of SyncHandle, XAllocID, or XAllocIDs. I found quite a few things to quibble with, but nothing that seems likely to have caused these reports. I've pushed fixes in these modules, so you can check whether anything there seems plausible.

libXcomposite/
libXdamage/
libXext/
libXfixes/
libXi/
libXrender/
libXTrap/

In short, I don't have a good hypothesis yet.

> http://launchpadlibrarian.net/23717282/Stacktrace.txt

I'm ignoring this one: the application was exiting, and a destructor tried to access the Display to free a resource. I'd guess the display was already gone at that point. I've seen that kind of pattern in quite a few Qt stack traces.

(In reply to comment #1)
> It would be really nice to know where the last call to XIDAlloc was before the
> one that fails, and for that I'd love to have a minimal test case.

Indeed; I'm afraid I can't say more about this myself, but I asked for a reproduction recipe on the downstream bug a few days ago. Once we have a way to reproduce this, we can strip that down to a test case.

> Any chance these applications are using libX11 from more than one thread?

Some certainly do, but amongst the many duplicates are a lot of progams which are single-threaded; for example services-admin (from gnome-system-tools, LP#432122) or gigolo (LP#468544)

> It looks like a fair number of the reported stack traces are
> single-threaded, making that an unlikely explanation for those reports. :-)
> It's possible there are two separate bugs here, I suppose...

Possibly. It seems that about half of the reports are in gnome-panel and firefox, but since they are also much more popular than the apps mentioned above that kind of bias is expected.

> In lieu of a minimal test, perhaps you can tell me which X extensions these
> applications have in common? Perhaps the client library for some extension
> allocates an XID but is missing a SyncHandle call; if the next X request also
> tries to allocate an XID you'd get this assertion failure.

The bugs unfortunately don't have Xorg logs, but I don't think that they will differ that much between different installations. I searched Launchpad for a few Xorg logs for various drivers, and in fact for a given graphics driver the extension lists were exactly identical (I took samples of about 5 per driver):

common for intel, ati, fglrx, nvidia: MIT-SCREEN-SAVER XFree86-VidModeExtension XFree86-DGA DPMS XVideo XVideo-MotionCompensation X-Resource DOUBLE-BUFFER GLX RECORD XFree86-DRI DRI2

extra extensions for fglrx: ATIFGLRXDRI FGLRXEXTENSION GLESX AMDXVOPL (I suppose those are uninteresting)

I asked in the downstram bug for a few Xorg logs from those people who can reproduce the crash. Perhaps it will turn out that they are all using the same graphics driver.

(In reply to comment #2)
> > In lieu of a minimal test, perhaps you can tell me which X extensions these
> > applications have in common? Perhaps the client library for some extension
> > allocates an XID but is missing a SyncHandle call; if the next X request also
> > tries to allocate an XID you'd get this assertion failure.
>
> I asked in the downstram bug for a few Xorg logs from those people who can
> reproduce the crash. Perhaps it will turn out that they are all using the same
> graphics driver.

I don't expect it to be a server-side issue, but then there was a recent report that turned out to be a byte-swapping bug in the server, and I didn't expect it then either... :-)

I meant, which extensions are these applications actually using? I'm hoping to pin the blame on a client-side extension library rather than libX11 itself. ;-) The list of loaded libraries from GDB would be a start. Is there some Launchpad way to download all the attachments from all the public duplicate bugs at once?

I don't have very high hopes though, especially after I went through checking for SyncHandle bugs in every extension library I could find, last week.

Regardless, I hope your effort to get more information from downstream bug reporters works out.

Just to collect more puzzle pieces, I got three replies by now about my "which driver" question, and these three are all using the proprietary NVIDIA driver. It might be just pure luck with a sample size of three, of course, so I asked whether anyone who got this crash has a different card/driver.

(In reply to comment #3)

> I meant, which extensions are these applications actually using? I'm hoping to
> pin the blame on a client-side extension library rather than libX11 itself. ;-)
> The list of loaded libraries from GDB would be a start.

We routinely collect /proc/<pid>/maps in crash reports, they all have a "ProcMaps.txt" attachment. However, this just says which libraries the program dynamically links against, not which extensions it's actually using, right?

Is there a better way to see which extensions a program is currently using? Some command that I could ask the bug reporters to run? We could even add that to our standard Apport hooks, so that it's collected for all crash reports.

> Is there some Launchpad way to download all the attachments from all the public duplicate bugs at once?

Bryce Harrington (CC added) has put together a lot of scripts for these purposes (X.org bug triaging). Bryce, do you have a script like that?

Anyway, it's really easy using the Python API, so for this particular purpose I wrote a quick hack which downloads a particular attachment name from a bug and all its duplicates and dumps them to stdout:

$ ./cat-bugattachment.py 507062 ProcMaps.txt
---- 507062 ---
00110000-001ae000 r-xp 00000000 08:05 526394 /usr/lib/libgdk-x11-2.0.so.0.1902.0
[...]
---- 340441 ---
00400000-00408000 r-xp 00000000 09:01 94936 /usr/lib/firefox-3.0.7/firefox
[...]

and so on. The script takes the master bug number and an attachment name, I put it on http://people.canonical.com/~pitti/scripts/cat-bugattachment.py for now.

When I do some simple post-processing of the output of above command (which I directed into file "out") I get this:

$ grep lib/libX out | awk '{print $6}' | sort -u
/usr/lib/libX11.so.6.2.0
/usr/lib/libX11.so.6.3.0
/usr/lib/libXau.so.6.0.0
/usr/lib/libXcomposite.so.1.0.0
/usr/lib/libXcursor.so.1.0.2
/usr/lib/libXdamage.so.1.1.0
/usr/lib/libXdmcp.so.6.0.0
/usr/lib/libXext.so.6.4.0
/usr/lib/libXfixes.so.3.1.0
/usr/lib/libXft.so.2.1.13
/usr/lib/libXinerama.so.1.0.0
/usr/lib/libXi.so.6.0.0
/usr/lib/libXi.so.6.1.0
/usr/lib/libXmu.so.6.2.0
/usr/lib/libXrandr.so.2.2.0
/usr/lib/libXrender.so.1.3.0
/usr/lib/libXRes.so.1.0.0
/usr/lib/libXss.so.1.0.0
/usr/lib/libXt.so.6.0.0
/usr/lib/libXtst.so.6.1.0
/usr/lib/libXxf86misc.so.1.1.0
/usr/lib/libXxf86vm.so.1.0.0

Not sure how helpful that actually is, though, since those are still a fair number of extensions.

Thank you!

(In reply to comment #4)
> Just to collect more puzzle pieces, I got three replies by now about my "which
> driver" question, and these three are all using the proprietary NVIDIA driver.
> It might be just pure luck with a sample size of three, of course, so I asked
> whether anyone who got this crash has a different card/driver.

Got another reply that someone is using Intel, so let's discard the "driver dependent" theory for now.

> $ grep lib/libX out | awk '{print $6}' | sort -u

Ah, BS, sorry. We want the intersection, not the union.

$ sed -n '/^-/ p; /lib\/libX/ { s/^.*usr.lib.//; s/\.so\..*$//; p}' out|uniq|less

By inspection, it seems that those bugs have only a very small set:

---- 528503 ---
libXfixes
libXrender
libXcursor
libXdmcp
libXau
libX11
---- 558407 ---
libXt
libXext
libX11
libXmu
libXau
libXdmcp

So I believe the common set is libXdmcp, libXau, and libX11 itself.

The same problem has been reported for ktorrent:

https://bugs.kde.org/show_bug.cgi?id=242306

(In reply to comment #6)
> The same problem has been reported for ktorrent:
>
> https://bugs.kde.org/show_bug.cgi?id=242306

In that bug report, you wrote, "Nothing we can do about, the X people have to figure this one out." You could try providing information I've asked for in this bug. Above all, if I have a minimal test application that demonstrates the bug, I'm likely to be able to fix it quickly.

As things stand now, I can't reproduce the problem and I have no reasonable hypotheses about its cause, so it is unlikely that I'll be able to fix it.

One thing I hadn't asked for yet that might help: Run a failing application under `xtrace` and attach the log to this bug.

Has anyone tried to run any of multi-threaded applications that are crashing in hellgrind? That would give pretty fast conclusion if the bug is about locking problems in those cases.

I have a small application that manages to reproduce that crash quite easily on ubuntu 10.04, but only when running under valgrind. But that application itself behaves quite badly as it calls xlib from different threads using the same "Display*" struct for all threads, so I'm not sure if that might be of any use for tracking this issue. However I think it calls XInitThreads() on startup, so that should allow it to share the same display for all threads, isn't it ?

hellgrind outputs loads of stuff like:

==2950== Possible data race during write of size 4 at 0x44bd06c by thread #1
==2950== at 0x4084764: ??? (in /usr/lib/libX11.so.6.3.0)
==2950== by 0x4069352: XGetWindowProperty (in /usr/lib/libX11.so.6.3.0)
==2950== by 0x81E0F46: juce::LinuxComponentPeer::isMinimised() const (juce_linux_Windowing.cpp:902)
==2950== by 0x8164890: juce::ComponentPeer::handleMovedOrResized() (juce_amalgamated.cpp:71167)
==2950== by 0x81E296B: juce::LinuxComponentPeer::handleWindowMessage(_XEvent*) (juce_linux_Windowing.cpp:1579)
==2950== by 0x81E549F: juce::juce_windowMessageReceive(_XEvent*) (juce_linux_Windowing.cpp:2617)
==2950== by 0x81DE71F: juce::juce_dispatchNextXEvent() (juce_linux_Messaging.cpp:384)
==2950== by 0x81DE899: juce::juce_dispatchNextMessageOnSystemQueue(bool) (juce_linux_Messaging.cpp:431)
==2950== by 0x8137170: juce::MessageManager::dispatchNextMessage(bool, bool*) (juce_amalgamated.cpp:34719)
==2950== by 0x8137204: juce::MessageManager::runDispatchLoop() (juce_amalgamated.cpp:34763)
==2950== by 0x81348A1: juce::JUCEApplication::main(juce::StringArray&, juce::JUCEApplication*) (juce_amalgamated.cpp:14770)
==2950== by 0x8134A7B: juce::JUCEApplication::main(int, char**, juce::JUCEApplication*) (juce_amalgamated.cpp:14859)
==2950== This conflicts with a previous read of size 4 by thread #6
==2950== at 0x4082F0C: _XSetPrivSyncFunction (in /usr/lib/libX11.so.6.3.0)
==2950== by 0x408BBEF: _XAllocID (in /usr/lib/libX11.so.6.3.0)
==2950== by 0x40611A7: XCreatePixmap (in /usr/lib/libX11.so.6.3.0)
==2950== by 0x50BF8ED: XcursorImageLoadCursor (in /usr/lib/libXcursor.so.1.0.2)
==2950== by 0x50C0765: XcursorImagesLoadCursors (in /usr/lib/libXcursor.so.1.0.2)
==2950== by 0x50C0886: XcursorImagesLoadCursor (in /usr/lib/libXcursor.so.1.0.2)
==2950== by 0x50C4187: XcursorTryShapeCursor (in /usr/lib/libXcursor.so.1.0.2)
==2950== by 0x4060C5C: XCreateGlyphCursor (in /usr/lib/libX11.so.6.3.0)

before the failed assertion.

(In reply to comment #9)
> I have a small application that manages to reproduce that crash quite easily on
> ubuntu 10.04, but only when running under valgrind.

Cool, what's the application? Can I get the source somewhere? I see it's using a toolkit (juce) that I hadn't heard of before though, so I'm not sure it's close to a minimal test case yet...

> hellgrind outputs loads of stuff like:
>
> ==2950== Possible data race during write of size 4 at 0x44bd06c by thread #1
> ==2950== at 0x4084764: ??? (in /usr/lib/libX11.so.6.3.0)
> ==2950== by 0x4069352: XGetWindowProperty (in /usr/lib/libX11.so.6.3.0)
> ...
> ==2950== This conflicts with a previous read of size 4 by thread #6
> ==2950== at 0x4082F0C: _XSetPrivSyncFunction (in /usr/lib/libX11.so.6.3.0)
> ==2950== by 0x408BBEF: _XAllocID (in /usr/lib/libX11.so.6.3.0)
> ==2950== by 0x40611A7: XCreatePixmap (in /usr/lib/libX11.so.6.3.0)
> ...
>
> before the failed assertion.

I'm guessing that's the bug we fixed in git commit a6d974dc59f2722b36e2df9d4f07aeee4f83ce43, which is included in libX11 1.3.4 and later. What version of libX11 do you have?

> But that application itself
> behaves quite badly as it calls xlib from different threads using the same
> "Display*" struct for all threads, so I'm not sure if that might be of any use
> for tracking this issue. However I think it calls XInitThreads() on startup, so
> that should allow it to share the same display for all threads, isn't it ?

Yes, that's supposed to be safe. However, I introduced a variety of bugs for multi-threaded apps some time ago, and only got most of them fixed in libX11 1.3.4. You should definitely re-test with that version or later if you don't already have it.

I have put the sources for this test here:
http://hules.free.fr/xcbbug.tbz2

JUCE is a small cross-platform toolkit, but this is definitively not a minimal test case as there are ~250000 lines of code.. The test application is not using it properly with respect to multithreading so if you run it in helgrind it will spit a lot of warnings. But when run in valgrind or helgrind, it ends up 75% of time with the _XallocID assert failed.

I have the libx11 of ubuntu 10.04, that is libx11 1.3.2. I'm not sure to proceed to test 1.3.4

Dupe of #23690?

Daniel Hahler (blueyed) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed

StacktraceTop:
 __GI___assert_fail (assertion=0xb7737419 "ret != inval_id", file=0xb773738a "../../src/xcb_io.c", line=528, function=0xb773749e "_XAllocID") at assert.c:81
 _XAllocID (dpy=0x91b7c10) at ../../src/xcb_io.c:528
 XCreatePixmap (dpy=0x91b7c10, d=23071697, width=48, height=48, depth=32) at ../../src/CrPixmap.c:56
 _cairo_xlib_surface_create_similar (abstract_src=0x961b400, content=CAIRO_CONTENT_COLOR_ALPHA, width=48, height=48) at /build/buildd/cairo-1.10.2/src/cairo-xlib-surface.c:393
 _cairo_xlib_surface_clone_similar (clone_out=0xbfdf0580, clone_offset_y=0xbfdf02ac, clone_offset_x=0xbfdf02b0, height=48, width=48, src_y=0, src_x=0, src=0x959cb38, abstract_surface=0x961b400) at /build/buildd/cairo-1.10.2/src/cairo-xlib-surface.c:1498

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
tags: added: bugpattern-needed
Sebastien Bacher (seb128) wrote :

could be the same issue than bug #507062 (libx11 issue)

visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libx11 (Ubuntu):
status: New → Confirmed
Daniel Hahler (blueyed) on 2012-01-09
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Changed in libx11 (Ubuntu):
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2012-01-21
Changed in libx11 (Ubuntu):
importance: Undecided → Medium
Captain Chaos (launchpad-chaos) wrote :

My bug #921689 was just automatically marked as a duplicate of this one by the "apport retracing service". I just wanted to check whether that is actually correct, as my crash has a different stack trace:

StacktraceTop:
 raise () from /lib/i386-linux-gnu/libc.so.6
 abort () from /lib/i386-linux-gnu/libc.so.6
 __assert_fail () from /lib/i386-linux-gnu/libc.so.6
 _XAllocID () from /usr/lib/i386-linux-gnu/libX11.so.6
 XRenderCreateCursor () from /usr/lib/i386-linux-gnu/libXrender.so.1

It occurred in XRenderCreateCursor(), not in XCreatePixmap(). Should I leave it as a duplicate?

As a result of the crash almost all the top right menus are gone (even after a reboot). Only the blueooth and network icons are still there. The volume icon, system menu, message menu, etc. are gone, so I can't even log out or restart normally anymore. How can I get them back?

tags: added: qa-manual-testing
Bryce Harrington (bryce) wrote :

We're in the process of updating the X stack in Precise (post-alpha-2), including a new libxcb and other bits. There have been several fixes for threading problems, and are wondering if they'll (finally) resolve this long standing problem.

If you are able to reliably reproduce this bug, then after these changes land (within the next day or two) please re-test and report back if it still occurs. If you do still see it, please include your libxcb version and the stack trace you got.

Bryce Harrington (bryce) on 2012-02-03
Changed in libx11 (Ubuntu):
status: Triaged → Incomplete
David Baucum (maxolasersquad) wrote :

I got a crash this evening, and according to Apport it's a duplicate of this bug. All the stack traces are in that bug report at https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/929970

David Baucum (maxolasersquad) wrote :

This is with all updates on precise and running libxcb-util0 0.3.8-1

Bryce Harrington (bryce) wrote :

Yep, I got one of these crashes myself on current precise, although not certain exactly how I did it. Was messing around with gnome-panel at the time.

This was with libxcb 1.8-2

Bryce Harrington (bryce) on 2012-02-10
Changed in libx11 (Ubuntu):
assignee: nobody → Canonical X.org (canonical-x)
Rigved Rakshit (rigved) wrote :

I also got this problem. Here are the package details:

Description: Ubuntu precise (development branch)
Release: 12.04

nautilus:
  Installed: 1:3.3.5-0ubuntu2
  Candidate: 1:3.3.5-0ubuntu2
  Version table:
 *** 1:3.3.5-0ubuntu2 0
        500 http://in.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Vadim Rutkovsky (roignac) wrote :

Looks like a duplicate of https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/507062
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Bryce Harrington (bryce) wrote :

It is the same as bug 507062, but don't dupe it. 507062 just times out for me so I haven't been able to look at or work on that bug report.

Changed in xlibs:
importance: Unknown → Medium
status: Unknown → Confirmed
meanpt (meanpt) wrote :

This crash is reported by the system whenever I check for new updates in the update manager

meanpt (meanpt) wrote :

When updating the system with apt-get in terminal the crash doesn't occur.

Bryce Harrington (bryce) on 2012-02-27
Changed in libx11 (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libx11 (Ubuntu):
status: New → Confirmed
Colin Law (colin-law) wrote :

I triggered bug by typing into the new HUD in Unity-2d

Bryce Harrington (bryce) wrote :

XCB is a single-threaded protocol, and when called from a multi-threaded client application, that client needs to take care that its calls are properly thread-safe. Otherwise, it can trip assertions in the XCB code.

Which would mean this is not really a *bug* in xcb (any more than a syntax error would be a bug in gcc), but that xcb is catching a bug in the client application. Indeed, the assertion error text from xcb spell out the threading issue (or other similar issues commonly hit in code calling xcb_io.c functionality.)

However, lots of code is MT and xcb is just too fragile, and the error text makes it look like the crash was in X so these issues tend to get filed against X components rather than investigated as client bugs. But I don't have a good idea what should be done on the X side. We're aware of some upstream work investigating these locking problems: http://article.gmane.org/gmane.comp.freedesktop.xorg.devel/29102

Changed in libx11 (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
Mahyar (www-mahyar) wrote :

It glitches my graphics without fail when clicking around in Gnome Shell.

Changed in nautilus (Ubuntu):
assignee: nobody → Александр (sdmk79)
Mike Mestnik (cheako) wrote :

Mahyar,
   I haven't had this in a while, however it's never glitched my grfx. What driver/card do you have? Any extra options enabled?

I use also Gnome Shell, more information on your issue would be nice.

This was executed under the gnome-panel UI, in a VirtualBox machine, the graphics card I have is an NVIDIA GeForce 9300M GS, the RAM on the machine I think 768-1024MBs, this is all running on an Acer Aspire 7730ZG with a Windows 7 Home Premium upgrade from Windows Vista Home Premium, all hardware unchanged. The processor is an Intel Pentium T4200, all clocks default aswell.

I had this on login to unity after the last nightly updates, just a few minutes ago.

Kerwin Allegany (viper180974) wrote :

I did have this bug for a couple days, had also removed some obsolete package and purge the system. Before the update when I start typing in the search engine, gnome-panel top and left disappear completely and left nautilus freeze, from terminal I did gnome-panel --replace which works while in it. It seemed that after every updates and upgrades, nautilus still hangs in a way.
PS: I did my latest update from the recovery console.

candtalan (aeclist) wrote :

12.04 beta 1 fully updated.
 The machine supports unity 2d only

A few recent updates installed, then I tried cheese webcam app which I know does not work (I had raised a bug) just to check it still was not working, then I closed the inactive cheese app and then I opened camorama webcam app, which I know works ok. Then before I could also close the camorama app I saw the crash report.

Barry Drake (b-drake) wrote :

Started using Unity 2d as ther is a current problem with 3d. Crash occurred after opening Thunderbird.

Dale Beaudoin (twocamels) wrote :

Started GNOME classic to check for a crash bug in Gnome Classic and got Nautilus error.

BavarianPH (bavarianph) wrote :

I now have complete failure of the precise beta version OS!!!

All I have left is firefox. and only because apport openend it to add comments to another bug.

each update made my PC lock up more and more, until even update-manager no longer worked.

you may think me paranoid but why is it that unity still works, where as gnomeshell 3.4 came to a

strangling hold.

If I delete unity out of precise gnomeshell 3 works just fine.

I am forced out of the beta testing mode.

If any-one can fix this mess e-mail me at <email address hidden>

Again my call goes out to those that like gnome,

freedom from the evil sister unity!

To me unity is not ubuntu nor even debian anymore,

it has become about making money with cell-os phones, tablets,

and the like.

As of yet I still use my trusty tower (desktop), and I like ubuntu

to treat me as a human user owning and using a tower, not

a laptop, a os phone, a os tablet.

There once was Ubuntu, a very good OS, better than Mac or Windows Vista,

along came Unity and ironically destroyed the human factor, devided Linux

users like never before.

We linux users needed to unite to come up with a flagship OS that mankind

could not ignore anymore, along came Unity which created the greatest war!

BavarianPH!

Dave Vree (hdave) wrote :

Rants should be delivered over in the forums...comments here should only be about resolving this issue. Given the lack of information about your myriad issue(s) I don't see how anyone can help you...and I suspect you should not be beta-testing a pre-release version of Ubuntu.

Kris Kalek (stasmackow) wrote :

System jest tragiczny. Rozwala sie po jakiejkolwiek zmianie w ustawieniach!!!!

Changed in nautilus (Ubuntu):
assignee: Александр (sdmk79) → nobody
Bill Maxwell (wamaxwell) wrote :

I get the (apport) bug only on my Dell computer that was upgraded from 11.10 to 12.04 Beta 2. I do not get the bug on my

eMachine that I installed straight from 12.04 Beta 2 download. It seems to be just the upgraded one that has the problem.

It leaves my desktop with shadows when I expand the dash and then minimize it...usually have to log out and back in to get it off

the screen.

Darius (da-wiele) wrote :

This error happens only in Unity, not when I'm in Gnome-shell. Launching Firefox just after booting into Unity desktop seems tiggers this error? I'm on dell machine with nvidia drivers.

BavarianPH (bavarianph) wrote :

..... yet .... getting rid of unity solves a myriad of problems.

ugr (ubuntu-gnome-remix) proved that, but someone

did not like their solution.

Here I am again with big problems,

simply following the precise updates.

after an over 600 package update &

reboot, no gnome, nothing but air!

Oh ya, unity works, but not gnome.

I asked a support question to the team.

I get this:

sudo apt-get update && apt-get upgrade
sudo apt-get --reinstall install ubuntu-desktop
sudo apt-get --reinstall install gnome-shell
sudo apt-get install -f
sudo reboot

(my notes are not accessible, because
 I am in the middle of a failed login to
gnome)

600 packages ago I cloned my harddrive,
to restore a healthy gnome (3.4)

 on this empty screen I only have firefox,
due to this bug.

the final message I receive is:
"No system tray detected on this system".
"Unable to start, exiting".

I find a bug that causes severe enough
problems, and I add my few cents worth.

I aam not an Ubuntu expert, maybe not
a tester, but I love what Ubuntu stood for,
not so much what it is becoming, yes, that
colors how I look at bugs.

BavarianPH,

Ubuntu+gnome-shell
forever!

On Sat, Apr 14, 2012 at 05:45, BavarianPH <email address hidden> wrote:
> ..... yet .... getting rid of unity solves a myriad of problems.

Off topic=on
It looks that mileage varies. I have a Dell Latitude E5500 with EVERY
desktop environment installed you can think of. Tested them all. I had
the least troubles with Unity.

Apart from that during the beta phase it seems that 12.04 is one of
the stablest - just my experience.

Mobile broadband internet the first time works out of the box with all
my sticks without the need of filing a bug. That's the first time for
me.
Off topic=off

I also only noticed that on Unity - and somebody mentioned, that he
has the problem only on his upgraded Dell. - I also have a Dell as
mentioned above. Maybe this helps finding the cause of the problem.
--
Martin Wildam

http://martin.wildam.org/

dino99 (9d9) wrote :
dino99 (9d9) wrote :

Got this crash so often with Precise i386 b2 fully updated logged as gnome-classic (without effects)

packages installed:
- libunity9 & gir1.2-unity-5.0 (only)
- compiz

attached : Trace_nautilus_crash20120414.txt

KDontenville (kevin-keepnet) wrote :

Logged in with Unity on Precise daily build of yesterdays date and got this or v similar 3+ times. New install from scratch. Nopthing specific that seems to repeat it but it is frequent. Also the bug reporter then often dies too.

Martin Wildam (mwildam) wrote :

Yes, also in my case is sufficient to log in and wait.

--
Martin Wildam
Am 14.04.2012 19:55 schrieb "KDontenville" <email address hidden>:

> Logged in with Unity on Precise daily build of yesterdays date and got
> this or v similar 3+ times. New install from scratch. Nopthing specific
> that seems to repeat it but it is frequent. Also the bug reporter then
> often dies too.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/905686
>
> Title:
> nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID:
> Assertion `ret != inval_id' failed.
>
> Status in Modular X11 Libraries:
> Confirmed
> Status in “libx11” package in Ubuntu:
> Triaged
> Status in “nautilus” package in Ubuntu:
> Triaged
>
> Bug description:
> Here is a backtrace from Ubuntu Precise.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: nautilus 1:3.2.1-2ubuntu4
> ProcVersionSignature: Ubuntu 3.2.0-5.11-generic-pae 3.2.0-rc5
> Uname: Linux 3.2.0-5-generic-pae i686
> ApportVersion: 1.90-0ubuntu1
> Architecture: i386
> AssertionMessage: nautilus: ../../src/xcb_io.c:528: _XAllocID: Assertion
> `ret != inval_id' failed.
> Date: Sat Dec 17 14:16:03 2011
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/nautilus
> ExecutableTimestamp: 1324036665
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcCmdline: nautilus -n
> ProcCwd: /
> Signal: 6
> SourcePackage: nautilus
> StacktraceTop:
> __kernel_vsyscall ()
> raise () from /lib/i386-linux-gnu/libc.so.6
> abort () from /lib/i386-linux-gnu/libc.so.6
> __assert_fail () from /lib/i386-linux-gnu/libc.so.6
> _XAllocID () from /usr/lib/i386-linux-gnu/libX11.so.6
> Title: nautilus assert failure: nautilus: ../../src/xcb_io.c:528:
> _XAllocID: Assertion `ret != inval_id' failed.
> UpgradeStatus: Upgraded to precise on 2011-12-16 (1 days ago)
> UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
> vboxusers
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xlibs/+bug/905686/+subscriptions
>

Chris (fabricator4) wrote :

12.04 beta 2 seemed rock solid for me until I started trying to set up my monitor's ideal resolution in xorg.conf. I have to do it this way because I'm running my work machine and this testing machine through a KVM switch which does not pass the monitor EDID data to the graphics card.

As soon as I edit xorg.conf to add HorizSync, VertRefresh and modelines etc this problem starts to occur on every boot or login. You just have to login in then wait for the error. Usually Apport crashes out as well but I managed to get here eventually.

I'm using the Nvidia drivers and I'm attaching my xorg.conf file for reference in case there's something in there that might I might be doing wrong or is inadvertently causing the problem. I'm able to successfully set the correct resolution for my Samsumg 1100p monitor, though I am currently unable to get a faster refresh rate than 55 Hz for some reason.

Chris

eiman (mrdavoody-honary) on 2012-04-15
tags: removed: apport-crash bugpattern-needed i386 precise qa-manual-testing running-unity
dino99 (9d9) on 2012-04-15
tags: added: i386 precise

Crash occurred after opening Audacity. Ubuntu Precise beta2+ Unity 3d

Tried several times - could not repeat this error.

This error occurs with Settings > Additional Drivers > "NVIDIA accelerated graphics driver" (either version current or post-release updates) proprietary driver in use. The problem does not occur when the driver is not in use.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/905686

tags: added: iso-testing
sk8jim (sk8killer) wrote :

Carl and All, I am on a X201 Lenovo Laptop so I am not using an NVIDIA accelerated graphics driver. The grafic card is from Intel.

The brand sticker on this Acer Aspire 5100-3949 laptop says "Radeon Xpress 1100" and lspci says:
...
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS482 [Radeon Xpress 200M]
...
I believe it's using the (sub-optimal but mostly functional) open-source radeon driver.

All I have to do is log in to my administrator account to get the crash, HOWEVER my user accounts aren't visibly affected. Maybe it crashes on those but I don't see them because I don't have the new apport crash handler stuff activated... I'll have to look in the logs.

Chascon (chascone) wrote :

I just re-logged in to get this error, and I didn't even open nautilus.

I just checked the user account, and I get some sort of crash in blueman-applet. This laptop has no physical bluetooth hardware installed (though it has a switch and presumably an empty socket inside). For whatever reason gnome's Startup Applications app lists blueman-applet as the sole startup application in all the accounts. Maybe it's a vestige of a previous Ubuntu version.

When the crash occurs in the user account, instead of directing me to this page, the crash handler says there's no need to report the crash to developers because it's already known. I'm not CERTAIN it's the same crash, but maybe the fact that blueman is being launched and is failing is a helpful clue.

Please email me directly if you need for me to collect logs or something.

Oliver Joos (oliver-joos) wrote :

A crash of nautilus in 12.04 beta2 (Live-iso running in VirtualBox 4.1.12) lead me automatically to this bug report. I did not click anything. It crashed immediately after login.

dean (d34n-xov) on 2012-04-25
Changed in nautilus (Ubuntu):
status: Triaged → New
Wangermée Guy (wangermee-guy) wrote :

Crash happened after I had opened Gnome classic and then come back to ubuntu unity.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed

I observed this bug under the following simple configuration:

0. Clean install of 12.04 LTS, with neither 'download packages' nor 'third party software' checkboxes checked.
1. Log into unity; open a terminal and `sudo apt-get install gnome-session-fallback`
2. Log out of unity and log into gnome classic.
3. Open a terminal. Wait. Observe crash.

No proprietary drivers are in use on this system.

segovia1040 (segovia1040) wrote :

He realizado una instalacion Live en un USB y creado un nuevo usuario administrador que se ha realizado correctamente. Despues el comportamiento es erratico, especialmente, no llega a Apagar el equipo, lo reinicia siempre, independientemente de la opcion elegida por mi.

papukaija (papukaija) wrote :

@dean (d34n-xov) : Please do not change this bug's status without an explanation. Thanks in advance.

@devs: Please set this bug back to triaged. Thanks in advance.

papukaija (papukaija) wrote :

@eiman: Please do not touch at this bug's tags.

tags: added: apport-crash bugpattern-needed qa-manual-testing running-unity
removed: iso-testing
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/905686

tags: added: iso-testing
tags: added: quantal
Bence Lukács (lukacs-bence1) wrote :

The bug affects me on 12.10 Quantal too.

Filiprino (filiprino) wrote :

I got this error while trying to drag and drop a shortcut from the desktop to the Unity taskbar.

Syeef Ahmed (syeef) on 2012-08-24
Changed in nautilus (Ubuntu):
assignee: nobody → Syeef Ahmed (syeef)
tags: added: rls-q-incoming
Didier Roche (didrocks) on 2012-09-19
tags: removed: rls-q-incoming
marmuta (marmuta) wrote :

Apparently bug #1055698 can reproduce _XAllocID asserts reliably. Onboard in unity-greeter is not exactly a minimal test case, but perhaps this is still of some help.

nofallyaqoo (michaelshlamatho) wrote :

please someone find fix/patch this BUG because it's started bothering me, every-time i login to desktop this bug popup to me and it tell me "this bug already reported" and then firefox open up and bring me here, PLEASE PLEASE SOMEONE FIND solution PLEASE

OS : 12.10 daily build
bit: 32bit
fully updated/latest updates installed

THANKS

Changed in nautilus (Ubuntu):
assignee: Syeef Ahmed (syeef) → nobody
tags: added: raring
Changed in libx11 (Ubuntu):
status: Triaged → Incomplete
Changed in libx11 (Ubuntu):
status: Incomplete → Triaged
Changed in libx11 (Ubuntu):
status: Triaged → Incomplete
Martin Wildam (mwildam) wrote :

On Tue, Mar 19, 2013 at 1:12 PM, nicky peakman <email address hidden> wrote:
> ** Changed in: libx11 (Ubuntu)
> Status: Triaged => Incomplete

On a current 12.04 with all updates on a Dell Latitude E6530 and only
default desktop environment (Unity) installed, I don't have this
issue. And also does not occur with 12.10 on a Dell Latitude E5500
having only default desktop environment (Unity).

Changed in libx11 (Ubuntu):
status: Incomplete → In Progress
papukaija (papukaija) wrote :

@nicky peakman: Please don't change the bug status without an explanation. Thanks.

@bug-control: Please set this bug back to triaged. Thank you.

Changed in libx11 (Ubuntu):
status: In Progress → Confirmed

This bug was opened 2011-12-17 and it's now 1/3 way into 2013 and it still exists on LTS/precise. Is this bug actually going to get fixed?

Wangermée Guy (wangermee-guy) wrote :

Why do you write to me? I am in no way involved with this.
Regards

On Sun, May 5, 2013 at 2:23 PM, Brian J. Murrell <email address hidden>wrote:

> This bug was opened 2011-12-17 and it's now 1/3 way into 2013 and it
> still exists on LTS/precise. Is this bug actually going to get fixed?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1058935).
> https://bugs.launchpad.net/bugs/905686
>
> Title:
> nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID:
> Assertion `ret != inval_id' failed.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xlibs/+bug/905686/+subscriptions
>

Pawan Neupane (pawan148) wrote :

I apologize if that's the case. The mistake was unintentional though.

On Sun, May 5, 2013 at 7:04 PM, Wangermée Guy <email address hidden>wrote:

> Why do you write to me? I am in no way involved with this.
> Regards
>
>
> On Sun, May 5, 2013 at 2:23 PM, Brian J. Murrell <<email address hidden>
> >wrote:
>
> > This bug was opened 2011-12-17 and it's now 1/3 way into 2013 and it
> > still exists on LTS/precise. Is this bug actually going to get fixed?
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1058935).
> > https://bugs.launchpad.net/bugs/905686
> >
> > Title:
> > nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID:
> > Assertion `ret != inval_id' failed.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/xlibs/+bug/905686/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/905686
>
> Title:
> nautilus assert failure: nautilus: ../../src/xcb_io.c:528: _XAllocID:
> Assertion `ret != inval_id' failed.
>
> Status in Modular X11 Libraries:
> Confirmed
> Status in “libx11” package in Ubuntu:
> Confirmed
> Status in “nautilus” package in Ubuntu:
> Confirmed
>
> Bug description:
> Here is a backtrace from Ubuntu Precise.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: nautilus 1:3.2.1-2ubuntu4
> ProcVersionSignature: Ubuntu 3.2.0-5.11-generic-pae 3.2.0-rc5
> Uname: Linux 3.2.0-5-generic-pae i686
> ApportVersion: 1.90-0ubuntu1
> Architecture: i386
> AssertionMessage: nautilus: ../../src/xcb_io.c:528: _XAllocID: Assertion
> `ret != inval_id' failed.
> Date: Sat Dec 17 14:16:03 2011
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/nautilus
> ExecutableTimestamp: 1324036665
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcCmdline: nautilus -n
> ProcCwd: /
> Signal: 6
> SourcePackage: nautilus
> StacktraceTop:
> __kernel_vsyscall ()
> raise () from /lib/i386-linux-gnu/libc.so.6
> abort () from /lib/i386-linux-gnu/libc.so.6
> __assert_fail () from /lib/i386-linux-gnu/libc.so.6
> _XAllocID () from /usr/lib/i386-linux-gnu/libX11.so.6
> Title: nautilus assert failure: nautilus: ../../src/xcb_io.c:528:
> _XAllocID: Assertion `ret != inval_id' failed.
> UpgradeStatus: Upgraded to precise on 2011-12-16 (1 days ago)
> UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
> vboxusers
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xlibs/+bug/905686/+subscriptions
>

--
Take Care

Pawan

Since this bug:

- Is valid.
- Is well described.
- Is reported in the upstream project.
- Is ready to be worked on by a developer.

It's already triaged.

Changed in libx11 (Ubuntu):
status: Confirmed → Triaged
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Changed in nautilus (Ubuntu):
assignee: nobody → W1zz4r> (cesar309bermudez)
papukaija (papukaija) wrote :

@W1zz4r: Please do not assign this bug to yourself unless you're working on a fix for this bug. Please use "this bug affects me too" link above this bug's description to mark this bug as affecting you. Thanks in advance.

Changed in nautilus (Ubuntu):
assignee: W1zz4r> (cesar309bermudez) → nobody
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.